Bug 165892 - Review Request: xsupplicant
Review Request: xsupplicant
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
David Lawrence
http://www.open1x.org/
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-13 13:45 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 05:01:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2005-08-13 13:45:15 EDT
Spec Name or Url: http://www.auroralinux.org/people/spot/review/xsupplicant.spec
SRPM Name or Url: http://www.auroralinux.org/people/spot/review/xsupplicant-1.2-0.1.pre1.src.rpm
Description: 
This software allows a GNU/Linux or BSD workstation to authenticate with
a RADIUS server using 802.1x and various EAP protocols.  The intended
use is for computers with wireless LAN connections to complete a strong
authentication before joining the network.
Comment 1 José Matos 2005-08-19 11:59:25 EDT
I have followed the link to sourceforge and I only find the the 1.2 version. 
 
If you redo the package for 1.2 I will review the package. 
 
FWIW, the spec file looks perfect. :-) 
Comment 2 Tom "spot" Callaway 2005-08-19 12:16:15 EDT
Sneaky, sneaky. They haven't updated their website yet. :)

New SRPM:  http://www.auroralinux.org/people/spot/review/xsupplicant-1.2-1.src.rpm

New SPEC: http://www.auroralinux.org/people/spot/review/xsupplicant.spec
Comment 3 José Matos 2005-08-19 14:17:12 EDT
+ package builds in mock for x86_64  
+ rpmlint check  
  rpmlint xsupplicant-1.2-1.fc4.x86_64.rpm  
E: xsupplicant non-readable /etc/xsupplicant.conf 0600  
  
  (clearly here rpmlint is wrong, xsupplicant configuration should not be  
public)  
  
+ package follows name convention and the spec file is correctly named  
+ no locales, libraries, subpackages, pkgconfigs etc. to worry about  
+ not relocatable  
+ no directory ownership or permissions issues  
+ no duplicate files  
+ the license is correct (GPL) and it ships in the package  
+ the spec file is in English and it is readable  
+ the source file is the same as upstream (sha1sum agrees)  
+ build requires are correct (*)  
  
So the package is APPROVED.  
  
(*) Is the any special reason to require byacc and not bison? I am just  
curious. :-)  
  
Comment 4 Tom "spot" Callaway 2005-08-19 14:55:56 EDT
No reason. In fact, I'll change it to bison before I commit.
Comment 5 José Matos 2006-08-29 04:55:32 EDT
Reopening bug to fix assignee.
Comment 6 José Matos 2006-08-29 05:01:21 EDT
Assignee fixed, closing again.

Note You need to log in before you can comment on or make changes to this bug.